#!/usr/bin/php
<?
require_once("database.php");
$db = new DB();

$id = 0;
$page = 1;

$voters = $db->getStatement('get reminder voters');
$voters->execute();

$outstanding = $db->getStatement('list my unvoted decisions');
$outstanding->bindParam(':id',$id);
$outstanding->bindParam(':page',$page);

while ($v = $voters->fetch()) {
	$id = $v['id'];
	$outstanding->execute();
	$msg ='';
	while ($row=$outstanding->fetch()) {
		$msg .= ($row['votetype'] ? 'vote ' : 'motion ') . $row['tag'] . ' ' . $row['title'] . "\nDue: " . $row['due'] . "\nhttps://community.cacert.org/board/motions.php?motion=" . $row['tag'] . "\n\n";
	}
	if ($msg) {
		// form email
		$name = $v['name'];
		$body = <<<BODY
Dear $name,

You have not voted in the following CAcert Board vote(s)/motion(s):

$msg


To view all your outstanding motions: https://community.cacert.org/board/motions.php?unvoted=1

Kind regards,
the vote system

BODY;
		$db->remind_notify($v['email'],"Outstanding CAcert board votes",$body); 
	}
}
?>
